LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 09-24-2003, 09:51 PM   #1
Pete Dogg
Member
 
Registered: May 2003
Location: Ontario, Canada
Distribution: Mandrake 9.0, RedHat 7.3, Mandrake 9.2
Posts: 178

Rep: Reputation: 31
help figuring out rpms and source installs for openssh


I'm a mandrake 9 user. And I've noticed that Red Hat has freely accessible rpms which upgrade the latest openssh vulernerabilities.

I'm not able to find anywhere which has mandrake rpms for upgrading this problem.

Question 1) Does anyone know where to get official or reliable mandrake rpms to upgrade openssh 3.4 which came with mandrake 9

Assuming I cant get an rpm. I'm going to download the tar.gz from openssh.org.

Question 2) Should I uninstall the openssh 3.4's rpm before installing the source version, so my system knows which version to use?
 
Old 09-24-2003, 10:00 PM   #2
cyberskye
Member
 
Registered: Feb 2003
Location: The City by the Bay
Posts: 116

Rep: Reputation: 15
http://rpmfind.net/linux/rpm2html/se...?query=openssh

Checked here?
 
Old 09-24-2003, 10:27 PM   #3
Pete Dogg
Member
 
Registered: May 2003
Location: Ontario, Canada
Distribution: Mandrake 9.0, RedHat 7.3, Mandrake 9.2
Posts: 178

Original Poster
Rep: Reputation: 31
yes. i checked rpmfind. they don't have a version 3.7 for mandrake or the proper upgrade to 3.4, the version of 3.4 they have was built in apr 2003, that can't have the proper fix.
 
Old 09-24-2003, 11:17 PM   #4
Pete Dogg
Member
 
Registered: May 2003
Location: Ontario, Canada
Distribution: Mandrake 9.0, RedHat 7.3, Mandrake 9.2
Posts: 178

Original Poster
Rep: Reputation: 31
i found this security advisory:
http://www.mandrakesecure.net/en/adv...KSA-2003:090-1
and the ftp site for mandrake
http://www.mandrakesecure.net/en/ftp.php

which tells you to upgrade to 3.6.1 but that's not working.

anyone have an answer for my second question?
 
Old 09-25-2003, 01:05 AM   #5
Pete Dogg
Member
 
Registered: May 2003
Location: Ontario, Canada
Distribution: Mandrake 9.0, RedHat 7.3, Mandrake 9.2
Posts: 178

Original Poster
Rep: Reputation: 31
just incase anyone had the same problems, i was able to upgrade the rpms from mandrakesecure.net they didnt actually list all the ones you needed to install, there were some dependencies with libopenssl0

if anyone does know the answer to my second question, i am still interested for my personal knowledge's sake

Last edited by Pete Dogg; 09-25-2003 at 01:25 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
RPMs vs Source: customized installs tmadden99 Linux - Software 11 01-28-2005 03:05 PM
In SuSE 9.1, YaST installs old RPMs kshaffer SUSE / openSUSE 2 11-22-2004 07:49 PM
openssh source file? mitchb Linux - Newbie 1 07-21-2004 07:18 AM
Using RPM Libraries for Source Installs RemusX2 Linux - Software 0 07-08-2004 02:21 AM
How can i remove source installs?? phz Linux - Software 5 11-07-2003 01:09 PM


All times are GMT -5. The time now is 04:38 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration